Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Class IDIV

    java.lang.Object
      org.apache.bcel.generic.Instruction
          org.apache.bcel.generic.ArithmeticInstruction
              org.apache.bcel.generic.IDIV

All Implemented Interfaces:
  Serializable, Cloneable, ExceptionThrower, StackConsumer, StackProducer, TypedInstruction

    public class IDIV

extends ArithmeticInstruction
implements ExceptionThrower

IDIV - Divide ints

    Stack: ..., value1, value2 -> result

Version:
  $Id: IDIV.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`IDIV()` Divide ints

Method Summary
`void` | `accept(Visitor v)` Call corresponding visitor method(s).
`Class[]` | `getExceptions()`

Methods inherited from class org.apache.bcel.generic.ArithmeticInstruction
`getType`

Methods inherited from class org.apache.bcel.generic.Instruction
`consumeStack, copy, dump, equals, getComparator, getLength, getName, getOpcode, initFromFile, produceStack, readInstruction, setComparator, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.StackProducer
`produceStack`

Methods inherited from interface org.apache.bcel.generic.StackConsumer
`consumeStack`

Constructor Detail

### IDIV

    public IDIV()

  Divide ints

Method Detail

### getExceptions

    public Class[] getExceptions()

  Specified by:
    `getExceptions` in interface `ExceptionThrower`
  Returns:
    exceptions this instruction may cause

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.

  Specified by:
    `accept` in class `Instruction`
  Parameters:
    `v` - Visitor object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.